<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Commanders.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Commanders_8h.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">Commanders.h File Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;DIO2.h&gt;</code><br />
<code>#include &quot;Commander.hpp&quot;</code><br />
<code>#include &quot;Commanders.hpp&quot;</code><br />
<code>#include &quot;DccCommander.hpp&quot;</code><br />
<code>#include &quot;I2CCommander.hpp&quot;</code><br />
<code>#include &quot;ButtonsCommander.hpp&quot;</code><br />
</div>
<p><a href="Commanders_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a1fdf52a0fdf8778a4472686eaa278b15"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a></td></tr>
<tr class="separator:a1fdf52a0fdf8778a4472686eaa278b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43b270926f3753345583c1ed6f03c831"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Commanders_8h.html#a43b270926f3753345583c1ed6f03c831">COMMANDERS_DEBUG_VERBOSE_MODE</a></td></tr>
<tr class="separator:a43b270926f3753345583c1ed6f03c831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a903f43d89a21cb3955b4fac654f6f8e8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a></td></tr>
<tr class="separator:a903f43d89a21cb3955b4fac654f6f8e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe48e551c87434efe75af8e7d4df457c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Commanders_8h.html#abe48e551c87434efe75af8e7d4df457c">GPIO2_PREFER_SPEED</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:abe48e551c87434efe75af8e7d4df457c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8647526d256312a8b21f15af5805fb2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8647526d256312a8b21f15af5805fb2a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NO_CANCOMMANDER</b></td></tr>
<tr class="separator:a8647526d256312a8b21f15af5805fb2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a190ad583ee12fb3fdbce6761a9b914e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a190ad583ee12fb3fdbce6761a9b914e7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NO_SERIALCOMMANDER</b></td></tr>
<tr class="separator:a190ad583ee12fb3fdbce6761a9b914e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Main include file of the library. </p>

<p class="definition">Definition in file <a class="el" href="Commanders_8h_source.html">Commanders.h</a>.</p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a1fdf52a0fdf8778a4472686eaa278b15"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMMANDERS_DEBUG_MODE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>If this is defined, the library will do many checks during setup and execution, and print errors, warnings and information messages on console. These messages can take a lot of memory, so be careful about the free memory of your program if you activate debug mode. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8h_source.html#l00051">51</a> of file <a class="el" href="Commanders_8h_source.html">Commanders.h</a>.</p>

</div>
</div>
<a class="anchor" id="a43b270926f3753345583c1ed6f03c831"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMMANDERS_DEBUG_VERBOSE_MODE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>If this is defined, the Verbose mode lets you see all actions done by the library, but with a real flood of text to the console... It has no effect if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> is not activated. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8h_source.html#l00054">54</a> of file <a class="el" href="Commanders_8h_source.html">Commanders.h</a>.</p>

</div>
</div>
<a class="anchor" id="a903f43d89a21cb3955b4fac654f6f8e8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMMANDERS_PRINT_COMMANDERS</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>If this is defined, the function <a class="el" href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">Commanders::printCommanders()</a> will become available. This is useful to try to understand why a commander, or a commander item is not corretly defined. This function uses a lot of memory, so activate it only if necessary, and be careful about your program's memory. You can use the define PRINT_COMMANDERS() in your sketch instead of a call to <a class="el" href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">Commanders::printCommanders()</a>. If <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is not defined, PRINT_COMMANDERS is defined as empty, so you will not have a compilation error. </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8h_source.html#l00060">60</a> of file <a class="el" href="Commanders_8h_source.html">Commanders.h</a>.</p>

</div>
</div>
<a class="anchor" id="abe48e551c87434efe75af8e7d4df457c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO2_PREFER_SPEED&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is used internally by DIO2.h </p>

<p class="definition">Definition at line <a class="el" href="Commanders_8h_source.html#l00064">64</a> of file <a class="el" href="Commanders_8h_source.html">Commanders.h</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><a class="el" href="Commanders_8h.html">Commanders.h</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
